Returns the command name

- « MongoDB\Driver\Monitoring\CommandFailedEvent

- MongoDB\Driver\Monitoring\CommandFailedEvent::getDatabaseName »

- PHP Manual
- MongoDB\Driver\Monitoring\CommandFailedEvent
- Returns the command name

# MongoDB\Driver\Monitoring\CommandFailedEvent::getCommandName

(mongodb >=1.3.0)

MongoDB\Driver\Monitoring\CommandFailedEvent::getCommandName — Returns the command name

### Description

final public MongoDB\Driver\Monitoring\CommandFailedEvent::getCommandName(): string

Returns the command name (e.g. `"find"`, `"aggregate"`).

### Parameters

This function has no parameters.

### Return Values

Returns the command name.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- Application Performance Monitoring (APM)